Navigation
Supportsider
Senest Online
helmuth 1 Dag
makronen 1 Uge
gittedl 1 Uge
flj 2 Uger
ejvindh 2 Uger
afoster 2 Uger
HenningS 4 Uger
Niller 4 Uger
wholle10 Uger
Henrik Bendtsen12 Uger
Besøgende
Gæster online: 2

Brugere online: 0

Antal brugere: 182
Nyeste bruger: Michael Mogensen
Se indlæg
 Udskriv debat
Et lille godt råd ...
janmol
Hvis du er blevet træt af at få fejl på din Fusion-side, hvor du bliver gjort opmærksom på, at:

Error: preg_replace(): The /e modifier is deprecated

... og så lidt mere, så er her en simpel opskrift til, hvordan man får fjernet de meddelelser (hvilket man kan gøre uden problemer, fordi "fejlen" i virkeligheden bare er en advarsel).

Find filen includes/error_handling_include.php.

Erstat disse linjer:


// PHP Error Reporting
error_reporting(E_ALL ^ E_STRICT);
set_error_handler("setError");
$_errorHandler = array();

// PHP-Fusion Error Handler
function setError($error_level, $error_message, $error_file, $error_line, $error_context) {
   global $userdata, $_errorHandler;

   $showError = true;


med dette her:


// PHP Error Reporting
error_reporting(E_ALL ^ E_STRICT);
set_error_handler("setError");
$_errorHandler = array();

// PHP-Fusion Error Handler
function setError($error_level, $error_message, $error_file, $error_line, $error_context) {
   if ($error_level == E_DEPRECATED) {
      return;
   }
   global $userdata, $_errorHandler;

   $showError = true;


Og så får du ikke de irriterende fejlmeddelelser mere.
Take it easy but take it.
.........................................................
Jan Mølgaard, it-konsulent og oversætter
http://wordit.dk
 
http://wordit.dk
Spring til debat: